unit Unit1;
//  Think to watch TEST_FI.EXE before recompiling
//  this source (and after clear these lines !)
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, FonTImag, StdCtrls;

type
  TForm1 = class(TForm)
    FontImage1: TFontImage;
    FontImage2: TFontImage;
    FontImage3: TFontImage;
    FontImage4: TFontImage;
    FontImage5: TFontImage;
    FontImage6: TFontImage;
    FontImage7: TFontImage;
    FontImage8: TFontImage;
    FontImage9: TFontImage;
    ListBox1: TListBox;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FontImage6Click(Sender: TObject);
    procedure FontImage2Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

Var Liste : TStringList;

// to find if a specific font is installed
function Est_Dans_Liste(Chaine : String ; La_Liste : TStringList) : Boolean;
Var i : integer;
begin
  result := false;
  for i := 0 to La_Liste.Count-1 do
  if La_Liste.Strings[i] = chaine  then
  result := true;
end;

// a little animation with a FontImage
procedure TForm1.Timer1Timer(Sender: TObject);
begin
  if Active then
  begin
    if FontImage1.Left + FontImage1.Width < 0 then
    FontImage1.Left := ClientWidth
    else
    FontImage1.Left := FontImage1.Left - 10;
  end;

end;

// Click on each picture to see the Font name of the element
// and if the font ist available on this computer

// we create the list of fonts
procedure TForm1.FormCreate(Sender: TObject);
begin
   Liste := TSTringList.Create;
   Liste.Assign(Screen.Fonts);
end;

// we finally free it
procedure TForm1.FormDestroy(Sender: TObject);
begin
  Liste.Free;
end;

procedure TForm1.FontImage6Click(Sender: TObject);
begin
  Listbox1.Visible := not Listbox1.Visible;
end;

procedure TForm1.FontImage2Click(Sender: TObject);
Var nom_fonte : String;
begin
  nom_fonte := (Sender as TFontImage).Font.Name;
  If Est_Dans_Liste(nom_fonte, Liste) then
  ShowMessage('Happy guy, you have the font : "'+
  nom_fonte+'"'#13#10+'       but anyway we could display this !') else
  ShowMessage('Sorry, you haven''t the font : "' + nom_fonte +
  '"'#13#10+'but we nevertheless can display this !!!');
end;
end.



